<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="elmah">
      <section name="security" requirePermission="false" type="Elmah.SecuritySectionHandler, Elmah" />
      <section name="errorLog" requirePermission="false" type="Elmah.ErrorLogSectionHandler, Elmah" />
      <section name="errorMail" requirePermission="false" type="Elmah.ErrorMailSectionHandler, Elmah" />
      <section name="errorFilter" requirePermission="false" type="Elmah.ErrorFilterSectionHandler, Elmah" />
    </sectionGroup>
  </configSections>

  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.6.2" />
      </system.Web>
  -->
  <system.web>
    <globalization culture="it-IT" enableClientBasedCulture="true" uiCulture="auto" />
    <httpRuntime targetFramework="4.6.2" />
    <compilation debug="true" targetFramework="4.6.2">
      <assemblies>
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
      </assemblies>
    </compilation>
    <!--<customErrors mode="Off" />-->
    <customErrors mode="On" defaultRedirect="Default.aspx" />
    <httpModules>
      <add name="ErrorLog" type="Elmah.ErrorLogModule, Elmah" />
      <add name="ErrorMail" type="Elmah.ErrorMailModule, Elmah" />
      <add name="ErrorFilter" type="Elmah.ErrorFilterModule, Elmah" />
    </httpModules>
    
    <sessionState mode="Custom" customProvider="MySessionStateStore" timeout="60">
      <providers>
        <add name="MySessionStateStore" type="Microsoft.Web.Redis.RedisSessionStateProvider" host="127.0.0.1" accessKey="" ssl="false" applicationName="GMWT" />
      </providers>
    </sessionState>
  <pages>
      <controls>
        <add tagPrefix="ajaxToolkit" assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" />
      </controls>
    </pages></system.web>
  <appSettings>
    <!--Impostazione gestione serializzazione variabili in sessione (es per Redis)-->
    <add key="serializeSession" value="true" />
    <!--cache decodificaBCode-->
    <add key="BCDecodeDurationSec" value="30" />
    <add key="EnableDecodeCache" value="true" />
    <!--Setup applicazione-->
    <add key="CodModulo" value="GMW" />
    <add key="_titoloPagina" value="GMW - TEKAL , portale Gestione Magazzino Web - GRUPPO MAZZUCCONI" />
    <add key="titleApp" value="GMW DEVELOP" />
    <add key="welcomeApp" value="GMW_welcomeApp" />
    <add key="appName" value="GMW_Term" />
    <add key="SiteName" value="Tekal" />
    <!--gestione timeout "esteso" x chiamate SQL critiche, in secondi -->
    <add key="sqlLongCommandTimeout" value="600" />
    <!--lista di prelievo-->
    <add key="checkUdcConsLdp" value="true" />
    <add key="_allowForceUser" value="true" />
    <add key="_safePages" value="jumper.aspx#unauthorized.aspx#allegati.aspx#forceUser.aspx#login.aspx#test.aspx#istruzioni.aspx#Test.aspx#Barcode.aspx" />
    <add key="_commonPages" value="menu.aspx#chLang.aspx" />
    <add key="defaultApp" value="GMW_Appl" />
    <add key="defaultTitle" value="GMW_ShortWelcome" />
    <add key="defaultBody" value="GMW_LongWelcome" />
    <add key="_logDir" value="~/logs/" />
    <add key="doShrinkFolder" value="true" />
    <add key="_logLevel" value="6" />
    <add key="_logMaxMb" value="30" />
    <add key="intUpdatePagina_ms" value="120000" />
    <add key="_righeDataGrid" value="30" />
    <add key="_righeDataGridAnagr" value="30" />
    <add key="_righeDataGridLong" value="40" />
    <add key="_righeDataGridMed" value="20" />
    <add key="_righeDataGridShort" value="10" />
    <add key="MinCharAutocomplete" value="2" />
    <add key="_fromEmail" value="GMW@steamware.net" />
    <add key="urlWebServer" value="http://localhost/GMWT/" />
    <add key="echoLemmi" value="false" />
    <add key="showLogout" value="false" />
    <!-- determina se rimandare su home in caso di exception in barcode & co -->
    <add key="forceResetToHome" value="false" />
    <!--gestione cookie opzionale-->
    <add key="enableCookie" value="false" />
    <!-- determina se non chiedere login x terminalini -->
    <add key="SimpleLogin" value="true" />
    <add key="CodOperDefault" value="O9900000000000001" />
    <!--Default values vari-->
    <add key="Max_X" value="850" />
    <add key="Max_Y" value="900" />
    <add key="Max_Z" value="1300" />
    <add key="Max_Kg" value="1000" />
    <add key="NumX" value="10" />
    <add key="NumY" value="5" />
    <add key="NumZ" value="1" />
    <add key="BilanciaMP" value="MP" />
    <add key="CodImballoMP" value="" />
    <add key="CodStatoMP" value="MP" />
    <add key="CodImballoAnime" value="AI00" />
    <add key="numGgToReloadRQ" value="30" />
    <!--Setup urls stampa reports-->
    <add key="urlReporting" value="http://{0}/ReportServer?/{1}/{2}&amp;rs:Command=Render&amp;rc:Parameters=true&amp;rc:Toolbar=true&amp;CodListaPrel={3}{4}" />
    <add key="reportingServerAddress" value="SRV-PRODTK01" />
    <add key="reportDir" value="TEKAL/MAGAZZINO" />
    <add key="reportName" value="Lista_di_Prelievo" />
    <add key="reportOpzPdf" value="&amp;rs:Format=PDF" />
    <!--Configurazioni ad hoc Tekal-->
    <add key="Cosumo84PostDelibera" value="true" />
    <add key="riattUdcPermessa" value="true" />
    <!--Setup periodo controlli date-->
    <add key="defDayFrom" value="-60" />
    <add key="mostraSelOra" value="false" />
    <!--Setup codici postazioni-->
    <add key="IdxPosizMP" value="66" />
    <add key="IdxPosNewFusi" value="77" />
    <add key="IdxPosNewWip" value="1010" />
    <add key="IdxPosNewRienTerz" value="3030" />
    <add key="IdxPosNewFinito" value="24" />
    <add key="IdxPosizioneOdette" value="24" />
    <!--Permette prelievo/deposito da terminalino senza sparare barcode (con img frecce) -->
    <add key="PrelDepoTermEnabled" value="true" />
    <!--codice per barcode chiusura lista prelievo-->
    <add key="closeCodeLdp" value="CLOSE" />
    <!--setup LDP Smart-->
    <add key="LdpSmartTipoLDP" value="00-Smart" />
    <add key="LdpSmartDest" value="C001" />
    <add key="LdpSmartCella" value="LPX010101" />
    <!--spostamenti UDC resettano UDC in lista prelievo-->
    <add key="spostaUdcResettaLdp" value="true" />
    <!--posizione per UDC spostati da cella mag vuota che risultasse piena da db-->
    <add key="codCellaErroriAnime" value="S00010101" />
    <!--Setup installazione-->
    <add key="passkey" value="pi=314" />
    <add key="CodCS" value="TK" />
    <add key="MinutiFinestraEditUDC" value="10" />
    <add key="_adminEmail" value="samuele@steamware.net" />
    <add key="_smtpCli" value="keyhammer.ath.cx" />
    <add key="DbConfConnectionString" value="Data Source=SQL2012DEV;Initial Catalog=TK_GMW;Persist Security Info=True;User ID=sa;Password=keyhammer16;" />
    <add key="GMWConnectionString" value="Data Source=SQL2012DEV;Initial Catalog=TK_GMW;Persist Security Info=True;User ID=sa;Password=keyhammer16;" />
    <add key="SP_produzioneConnectionString" value="Data Source=SQL2012DEV;Initial Catalog=SP_Produzione;Persist Security Info=True;User ID=connGMW;Password=steamware" />
    <add key="PermessiConnectionString" value="Data Source=SQL2012DEV;Initial Catalog=TK_GMW;Persist Security Info=True;User ID=sa;Password=keyhammer16;" />
    <add key="UtenteCdcConnectionString" value="Data Source=SQL2012DEV;Initial Catalog=TK_Anagrafica;Persist Security Info=True;User ID=sa;Password=keyhammer16;" />
    <add key="VocabolarioConnectionString" value="Data Source=SQL2012DEV;Initial Catalog=TK_GMW;Persist Security Info=True;User ID=sa;Password=keyhammer16;" />
  </appSettings>
  <connectionStrings>
    <add name="GMW_data.Properties.Settings.GMWConnectionString" connectionString="Data Source=SQL2012DEV;Initial Catalog=TK_GMW;Persist Security Info=True;User ID=sa;Password=keyhammer16;" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <add name="ErrorLog" type="Elmah.ErrorLogModule, Elmah" preCondition="managedHandler" />
      <add name="ErrorMail" type="Elmah.ErrorMailModule, Elmah" preCondition="managedHandler" />
      <add name="ErrorFilter" type="Elmah.ErrorFilterModule, Elmah" preCondition="managedHandler" />
    </modules>
  </system.webServer>
  <elmah>
    <!--
        See http://code.google.com/p/elmah/wiki/SecuringErrorLogPages for 
        more information on remote access and securing ELMAH.
    -->
    <security allowRemoteAccess="false" />
  </elmah>
  <location path="elmah.axd" inheritInChildApplications="false">
    <system.web>
      <httpHandlers>
        <add verb="POST,GET,HEAD" path="elmah.axd" type="Elmah.ErrorLogPageFactory, Elmah" />
      </httpHandlers>
      <!-- 
        See http://code.google.com/p/elmah/wiki/SecuringErrorLogPages for 
        more information on using ASP.NET authorization securing ELMAH.

      <authorization>
        <allow roles="admin" />
        <deny users="*" />  
      </authorization>
      -->
    </system.web>
    <system.webServer>
      <handlers>
        <add name="ELMAH" verb="POST,GET,HEAD" path="elmah.axd" type="Elmah.ErrorLogPageFactory, Elmah" preCondition="integratedMode" />
      </handlers>
    </system.webServer>
  </location>
  <runtime>
      <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
         <dependentAssembly>
            <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="StackExchange.Redis.StrongName" publicKeyToken="c219ff1ca8c2ce46" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-1.2.6.0" newVersion="1.2.6.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="DnsClient" publicKeyToken="4574bb5573c51424" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-1.3.2.0" newVersion="1.3.2.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="SharpCompress" publicKeyToken="afb0a02973931d96" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-0.26.0.0" newVersion="0.26.0.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.3.4.0" newVersion="4.3.4.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="System.IO.Compression" publicKeyToken="b77a5c561934e089" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.3.0.0" newVersion="4.3.0.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="System.Numerics.Vectors" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.1.4.0" newVersion="4.1.4.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="System.Runtime.InteropServices.RuntimeInformation" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.3.0.0" newVersion="4.3.0.0" />
         </dependentAssembly>
         <dependentAssembly>
            <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
            <bindingRedirect oldVersion="0.0.0.0-4.0.6.0" newVersion="4.0.6.0" />
         </dependentAssembly>
      </assemblyBinding>
  </runtime>
</configuration>